//============================================================+
// File name   : mathfunction.jsx
// Version     : 1.0.000
// Begin       : 2021-09-03
// Last Update : 2021-09-03
// Authors     : t.kenro - https://hoshifuru.jp - pr@hoshifuru.jp
// -------------------------------------------------------------------
// Copyright (C) 2021 t.kenro - hoshifuru.jp
//
//20210903 mathfunction.js v1.2.00をそのまま利用。

//--------------------
//Rotation XYZ
//--------------------
function rotateX(x,y,z,degree){
	var XYZ		= {	X : x,	Y : y,	Z : z	};
	var rXYZ	= {	X : x,	Y : y,	Z : z	};
	var rAngleRad = DegToRad(degree);

	rXYZ.X = XYZ.X;
	rXYZ.Y = XYZ.Y * Math.cos(rAngleRad) - XYZ.Z * Math.sin(rAngleRad);
	rXYZ.Z = XYZ.Y * Math.sin(rAngleRad) + XYZ.Z * Math.cos(rAngleRad);

	return rXYZ;
}

function rotateY(x,y,z,degree){
	var XYZ		= {	X : x,	Y : y,	Z : z	};
	var rXYZ	= {	X : x,	Y : y,	Z : z	};
	var rAngleRad = DegToRad(degree);

	rXYZ.X = XYZ.X * Math.cos(rAngleRad) + XYZ.Z * Math.sin(rAngleRad);
	rXYZ.Y = XYZ.Y;
	rXYZ.Z = -XYZ.X * Math.sin(rAngleRad) + XYZ.Z * Math.cos(rAngleRad);

	return rXYZ;
}

function rotateZ(x,y,z,degree){
	var XYZ		= {	X : x,	Y : y,	Z : z	};
	var rXYZ	= {	X : x,	Y : y,	Z : z	};
	var rAngleRad = DegToRad(degree);

	rXYZ.X = XYZ.X * Math.cos(rAngleRad) - XYZ.Y * Math.sin(rAngleRad);
	rXYZ.Y = XYZ.X * Math.sin(rAngleRad) + XYZ.Y * Math.cos(rAngleRad);
	rXYZ.Z = XYZ.Z;

	return rXYZ;
}

//--------------------
//Convert Degree<=>Radian
//--------------------
function DegToRad(degree){
	var radian = degree/180 * Math.PI;
	return radian;
}

function RadToDeg(radian){
	var degree = radian/Math.PI*180;
	return degree;
}

//--------------------
//hyperbolic sin cos
//--------------------
function sinh(val){
   return (Math.pow(Math.E,val)-Math.pow(Math.E,-val))/2;
}
function cosh(val){
   return (Math.pow(Math.E,val)+Math.pow(Math.E,-val))/2;
}

//--------------------
//random
//--------------------
function rand(num0,num1){
	return num0 + Math.floor( Math.random() * (num1-num0) );
}