//============================================================+
// File name   : setting.jsx
// Version     : 1.0.000
// Begin       : 2021-09-03
// Last Update : 2021-09-03
// Authors     : t.kenro - https://hoshifuru.jp - pr@hoshifuru.jp
// -------------------------------------------------------------------
// Copyright (C) 2021 t.kenro - hoshifuru.jp
//
// v1.0.0 20210903 設定項目を策定。


//-----------------------------
//##### ■　基本的な星図の描画方法 #####
//-----------------------------

//===　星図の描画手順
// このファイル「setting.jsx」に必要な情報を入力し、「保存」をしてから、
// 「CreateStarMap.jsx」をイラストレーター上にドラック＆ドロップしてください。
// そうすると、星図の描画が開始されます。

//===　「setting.jsx」の設定について
// まず、「##### ■　星図に描画する要素の選択 #####」のsetOnOff()で、
// 星図に各要素を描画するかしないか一括で指定することができます。
// 描画する要素は「true」に設定し、
// 描画しなくてもよい要素は「false」に設定します。
//
// 次に、「##### ■　描画する星空の詳細セッティング #####」で
// 星図の各要素の詳細を設定してください。
//　※設定方法の詳細は、各設定項目の説明を参照ください。
//
//　設定が終了したら、「setting.jsx」を上書き保存します。
//　その後、「CreateStarMap.jsx」をイラストレーター上にドラック＆ドロップすると、星図を描画できます。


//■　===========================
//■　星図の設定　ここから
//■　===========================

//-----------------------------
//##### ■　星図に描画する要素の選択 #####
//-----------------------------

//===　各要素を星図aiに出力するかどうか。描画が不要な要素はfalseに設定
//描画する => true
//描画しない、不要 => false
setOnOff( {
		Star :		true,	//星
		ConstLine :	true,	//星座の線
		ConstName :	true,	//星座名
		Info :		true,	//日時や場所、月齢表示
		MilkyWay :	true,	//天の川
		BG :		true,	//背景色
		Sky :		true,	//空の領域
		Landscape :	true,	//風景
		NESW :		true,	//方角表示
		SunMoon :	true,	//太陽や惑星
		Grid :		true,	//座標グリッド
		MagEx :		true,	//等級のサンプル
		Comet :		false,	//彗星
		Meteor :	false	//流星群
} );

//-----------------------------
//##### ■　描画する星空の詳細セッティング #####
//-----------------------------

//===　日時
setStarryNight(2021,1,1,0,0,0,false);		//年,月,日,時,分,秒,夏時間かどうか

//===　場所
setStarryPlace(139.741357,35.658099,9,"Tokyo","東京都（東京都心）");	//経度（-180～180）,緯度（-90～90）,タイムゾーン,都市名（英語）,都市名（日本語）

//===　色
setColor("pink");			//pink,white,blue,black,red

//===　星図設定
setChart("A4","L","Sky");		//用紙の大きさ(A0～A5)
								//用紙の向き（L:横　P:縦）
								//星図の種類（Sky:全天星図（南が下） SkyN:全天星図（北が下）
								//S:南　SW:南西　W:西　NW:北西　N:北　NE:北東　E:東　SE:南西
								//VernalEquinox:赤経赤緯（春分点中心）　AutumnalEquinox:赤経赤緯（秋分点中心）
								//Galactic:銀河座標　Ecliptic:黄道座標）

//===　星
setStar("circle",4.9,-99,-3,"f",1.39);		//星の形（circle, star, star3～star12, rectangular, square, polygon3～polygon8, ellipse）
											//表示等級の最大値(最大8.4)
											//表示等級の最小値（通常、デフォルト値-99のままで良い）
											//星の大きさ（-10（特大）　-5（大）　-3（中）　-1.5（小）　-0.5（特小））
											//星の塗り（f:塗りつぶし　S:線のみ）
											//等級による星の大きさの変化の度合い（1.00:変化 無, 1.19:変化 小, 1.29, 1.39:標準, 1.49, 1.59:変化 大）

//===　星座線の種類
setLine("D1");				//D1,D2,D3（点線　数値が大きいほど太い）
							//S1,S2,S3（実線　数値が大きいほど太い）

//===　表示する星座線
setConstellation("all");	//all（全８８星座）,standard（基本の星座）,famous（有名な星座）,zodiac12（黄道１２宮）

//===　日本語／英語　星座名や星の名前
setLang("ja");				//en,ja

//===　グリッド
setGrid("Horizontal");		//Horizontal（地平座標）
							//Equatorial（赤道座標）
							//Galactic（銀河座標）
							//Ecliptic（黄道座標）
							//グリッドを表示しない時は、setOnOff.Gridをfalseにする

//===　流星群
setMeteor("Geminids");		//Quadrantids（しぶんぎ座流星群 1/4）
							//Lyrids（こと座流星群 4/22頃）
							//EtaAquariids（みずがめ座η流星群 5/6頃）,
							//SouthernDeltaAquariids（みずがめ座δ南流星群 7/30頃）
							//Perseids（ペルセウス座流星群 8/13頃）
							//Orionids（オリオン座流星群 10/21頃）
							//Leonids（しし座流星群 11/18頃）
							//Geminids（ふたご座流星群 12/14頃）
							//流星群を表示する時は、setOnOff.Meteorをtrueにする

//===　風景
setLandscape("couple");		//couple（恋人たち）,children（子供たち）,simple（シンプル）

//===　天の川
setMilkyWay("area","circle");		//天の川のタイプ（area、line、dot）
									//天の川タイプがdotの時のドットの形（circle, star, star3～star12, rectangular, square, polygon3～polygon8, ellipse）

//===　太陽・月・惑星
setSunMoon("circle","circle");		//太陽の形（circle, star, star3～star12, rectangular, square, polygon3～polygon8, ellipse）
									//惑星の形（circle, star, star3～star12, rectangular, square, polygon3～polygon8, ellipse）

//===　彗星
//setComet("LEMMON");				//LEMMON,NEOWISE,ISON
									//彗星を表示する時は、setOnOff.Cometをtrueにする

//===　星図の倍率
setX(1.0);							//星図の倍率（0.5:さらに縮小 0.8:縮小 1.0:通常 1.5:拡大 2.0:さらに拡大）。
									//倍率変更すると、表示が乱れる場合があります。

//===　大気による位置補正及び視差の補正
setIsCorrectH(true);				//大気による位置補正及び視差の補正をするかどうか。
									//trueの場合、星図の種類が下記の場合に補正が適用される（Sky、SkyN、S、SW、W、NW、N、NE、E、SE)。
									//たとえtrueでも、その他の星図では、補正は無視され適用されない。

//描画図法の強制設定
//setProjectionForcibly("");		//描画図法を強制変更すると、表示が乱れる場合があります。
									//AzimuthalEquidistant（正距方位図法）
									//LambertAzimuthalEqualArea（ランベルト正積方位図法）
									//Equirectangular（正距円筒図法）
									//Mercator（メルカトル図法）
									//Hammer（ハンメル図法）
									//Mollweide（モルワイデ図法）
									//Gnomonic（心射図法）
									//Stereographic（ステレオ図法）
									//描画図法を強制変更しない場合は、引数を""にする

//追加で描画する図形
//shapeList = [						//RA(赤経0～24),DEC(赤緯-90～90),shape(描画図形 circle, star, star3～star12, rectangular, square, polygon3～polygon8, ellipse),R(図形の大きさ),rotation(図形の回転 0～360),color(CMYK)
//	{"RA":0.71222,"DEC":41.26917,"shape":"polygon6","R":2,"rotation":0,"color":"0,0,100,0","name":"M31 アンドロメダ銀河"},
//	{"RA":2.31667,"DEC":57.11861,"shape":"polygon6","R":2,"rotation":0,"color":"0,0,100,0","name":"二重星団 hχ"}    
//];

//===　描画後にaiを保存するか
setSaveAsAI(false);			//true(保存用プロンプトを表示), false(描画だけで保存しない)

//■　===========================
//■　星図の設定　ここまで
//■　===========================